Updates the user_skill_list object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
user_skill_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key to user |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_skill_list |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_skill_list |
user |
Optionally required : user_id, user_code or user must be provided |
| skill_id |
Foreign key to skill |
globally unique identifier |
Optionally required : skill_id, skill_code or skill must be provided |
| skill_code |
Embedded entity "skill" using ERP PK when adding/updating user_skill_list |
string |
Optionally required : skill_id, skill_code or skill must be provided |
| skill |
Embedded entity "skill" using node when adding/updating user_skill_list |
skill |
Optionally required : skill_id, skill_code or skill must be provided |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "ec6f6f6f-184d-4489-894d-9fb52303d329",
"user_id": "313cb5cb-839a-4eee-9b3d-3c1d8eae18f0",
"user_code": "sample string 3",
"user": {
"id": "1f69dec1-e18d-4b89-ab50-3f15e9be9529",
"db_language_id": "5fc18eb7-ea99-4fd3-98a3-1628ee711872",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-04T18:45:00.2763918+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "6bc37dd5-ec39-4586-97e6-1266b37d79ef",
"sales_organization": {
"id": "cce0325e-b492-400c-b809-097019f84708",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a4eb1ab0-4bb3-4949-ac15-a8c34ae54762",
"db_currency_id": "390131da-2ca9-4e62-8929-07c29a23d4a2",
"db_language_id": "fb27b81d-fd37-4f54-b528-842e668829c5",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-04T18:45:00.2763918+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "315e0d8d-f1ca-4e59-ae1e-dc0081ae436d",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "e7673619-0fef-4763-9ebe-df9b3dfc750a",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-04T18:45:00.2763918+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "1b3fa6f0-8a86-460b-aa3a-05f777a325a2"
},
"skill_id": "ea9d7741-f70d-4e50-ba07-b68eafbd3e5b",
"skill_code": "sample string 5",
"skill": {
"id": "bd88c37c-7e56-4271-95a8-6a4beb7ab7d9",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "854e505c-eb68-4dae-a784-ef2e13c3ef09",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "cce0325e-b492-400c-b809-097019f84708",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a4eb1ab0-4bb3-4949-ac15-a8c34ae54762",
"db_currency_id": "390131da-2ca9-4e62-8929-07c29a23d4a2",
"db_language_id": "fb27b81d-fd37-4f54-b528-842e668829c5",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-04T18:45:00.2763918+00:00"
},
"modified_dateutc": "2026-11-04T18:45:00.2897639+00:00"
},
"reference_back_office": "sample string 6",
"modified_dateutc": "2026-11-04T18:45:00.2897639+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.